// Pietro Terna, Universita' di Torino, Dipartimento di Scienze economiche
// e finanziarie, corso Unione Sovietica 218bis, 10134 Torino, Italy
// terna@econ.unito.it
                          
// this code requires Swarm 2.1.1

// sum project starting date:       December  1999
// this version:                    September 2000


#import <simtools.h>        
#import "ObserverSwarm.h"

int main (int argc, const char **argv)
{
  ObserverSwarm *observerSwarm;

  initSwarmApp (argc, argv,"0.59","pietro.terna@unito.it");

// Below we have the standard main sequence of any Swarm model:
// 1. creation of the observer; 2. objects creation (one is the Swarm model
// we are dealing with, see ObserverSwarm.m); 3. schedule creation;
// 4. activation of 2. and 3.; 5. go

  observerSwarm =  [ObserverSwarm create: globalZone];
  SET_WINDOW_GEOMETRY_RECORD_NAME (observerSwarm);
  [observerSwarm buildObjects];
  [observerSwarm buildActions];
  [observerSwarm activateIn: nil];
  
  [observerSwarm go];

  return 0;

}
